Bug 37881 - Firefox: Security issues from 31.5 (4.0)
Firefox: Security issues from 31.5 (4.0)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Janek Walkenhorst
Moritz Muehlenhoff
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-25 13:19 CET by Arvid Requate
Modified: 2015-03-11 15:05 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2015-02-25 13:19:37 CET
Reading of local files through manipulation of form autocomplete (CVE-2015-0822)
Out-of-bounds read and write while rendering SVG content (CVE-2015-0827)
Use-after-free in IndexedDB (CVE-2015-0831)
Miscellaneous memory safety hazards (CVE-2015-0836)
Comment 1 Janek Walkenhorst univentionstaff 2015-03-04 13:20:45 CET
31.5 imported.
Tests: OK
Advisories: 2015-03-04-firefox-{de,en}.yaml
Comment 2 Moritz Muehlenhoff univentionstaff 2015-03-05 14:23:55 CET
Tests and YAML ok.
Comment 3 Arvid Requate univentionstaff 2015-03-09 21:30:30 CET
This has been fixed as well, maybe add it to the YAML?

Memory safety problems and crashes (CVE-2015-0835)
Comment 4 Arvid Requate univentionstaff 2015-03-09 21:33:20 CET
I adjusted both YAML files.
Comment 5 Janek Walkenhorst univentionstaff 2015-03-10 16:33:50 CET
(In reply to Arvid Requate from comment #4)
> I adjusted both YAML files.
OK